import { Account, Context, Option, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi-core';
export type Mint = Account<MintAccountData>;
export type MintAccountData = {
    mintAuthority: Option<PublicKey>;
    supply: bigint;
    decimals: number;
    isInitialized: boolean;
    freezeAuthority: Option<PublicKey>;
};
export type MintAccountArgs = {
    mintAuthority: Option<PublicKey>;
    supply: number | bigint;
    decimals: number;
    isInitialized: boolean;
    freezeAuthority: Option<PublicKey>;
};
export declare function fetchMint(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<Mint>;
export declare function safeFetchMint(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<Mint | null>;
export declare function fetchAllMint(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<Mint[]>;
export declare function safeFetchAllMint(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<Mint[]>;
export declare function getMintGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi-core").GpaBuilder<Mint, {
    mintAuthority: Option<PublicKey>;
    supply: number | bigint;
    decimals: number;
    isInitialized: boolean;
    freezeAuthority: Option<PublicKey>;
}>;
export declare function deserializeMint(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): Mint;
export declare function getMintAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintAccountArgs, MintAccountData>;
export declare function getMintSize(_context?: {}): number;
