"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMplSystemExtrasErrorFromName = exports.getMplSystemExtrasErrorFromCode = exports.SysExInvalidSystemProgramError = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const codeToErrorMap = new Map();
const nameToErrorMap = new Map();
class SysExInvalidSystemProgramError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid System Program', program, cause);
        this.name = 'InvalidSystemProgram';
        this.code = 0x0;
    }
}
exports.SysExInvalidSystemProgramError = SysExInvalidSystemProgramError;
codeToErrorMap.set(0x0, SysExInvalidSystemProgramError);
nameToErrorMap.set('InvalidSystemProgram', SysExInvalidSystemProgramError);
function getMplSystemExtrasErrorFromCode(code, program, cause) {
    const constructor = codeToErrorMap.get(code);
    return constructor ? new constructor(program, cause) : null;
}
exports.getMplSystemExtrasErrorFromCode = getMplSystemExtrasErrorFromCode;
function getMplSystemExtrasErrorFromName(name, program, cause) {
    const constructor = nameToErrorMap.get(name);
    return constructor ? new constructor(program, cause) : null;
}
exports.getMplSystemExtrasErrorFromName = getMplSystemExtrasErrorFromName;
//# sourceMappingURL=mplSystemExtras.js.map