"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplAssociatedTokenErrorFromName = exports.getSplAssociatedTokenErrorFromCode = exports.AtaInvalidOwnerError = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const codeToErrorMap = new Map();
const nameToErrorMap = new Map();
class AtaInvalidOwnerError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Associated token account owner does not match address derivation', program, cause);
        this.name = 'InvalidOwner';
        this.code = 0x0;
    }
}
exports.AtaInvalidOwnerError = AtaInvalidOwnerError;
codeToErrorMap.set(0x0, AtaInvalidOwnerError);
nameToErrorMap.set('InvalidOwner', AtaInvalidOwnerError);
function getSplAssociatedTokenErrorFromCode(code, program, cause) {
    const constructor = codeToErrorMap.get(code);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplAssociatedTokenErrorFromCode = getSplAssociatedTokenErrorFromCode;
function getSplAssociatedTokenErrorFromName(name, program, cause) {
    const constructor = nameToErrorMap.get(name);
    return constructor ? new constructor(program, cause) : null;
}
exports.getSplAssociatedTokenErrorFromName = getSplAssociatedTokenErrorFromName;
//# sourceMappingURL=splAssociatedToken.js.map