"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.amountToUiAmount = exports.getAmountToUiAmountInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getAmountToUiAmountInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([
        ['discriminator', s.u8],
        ['amount', s.u64],
    ], 'AmountToUiAmountInstructionArgs'), (value) => ({ ...value, discriminator: 23 }));
}
exports.getAmountToUiAmountInstructionDataSerializer = getAmountToUiAmountInstructionDataSerializer;
function amountToUiAmount(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const mintAccount = input.mint;
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(mintAccount, false),
    });
    const data = getAmountToUiAmountInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.amountToUiAmount = amountToUiAmount;
//# sourceMappingURL=amountToUiAmount.js.map