"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.approveTokenDelegate = exports.getApproveTokenDelegateInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getApproveTokenDelegateInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([
        ['discriminator', s.u8],
        ['amount', s.u64],
    ], 'ApproveTokenDelegateInstructionArgs'), (value) => ({ ...value, discriminator: 4 }));
}
exports.getApproveTokenDelegateInstructionDataSerializer = getApproveTokenDelegateInstructionDataSerializer;
function approveTokenDelegate(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const sourceAccount = input.source;
    const delegateAccount = input.delegate;
    const ownerAccount = input.owner;
    keys.push({
        pubkey: sourceAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(sourceAccount, true),
    });
    keys.push({
        pubkey: delegateAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(delegateAccount, false),
    });
    signers.push(ownerAccount);
    keys.push({
        pubkey: ownerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(ownerAccount, false),
    });
    const data = getApproveTokenDelegateInstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.approveTokenDelegate = approveTokenDelegate;
//# sourceMappingURL=approveTokenDelegate.js.map