import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type BurnTokenInstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
    authority?: Signer;
};
export type BurnTokenInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type BurnTokenInstructionArgs = {
    amount: number | bigint;
};
export declare function getBurnTokenInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<BurnTokenInstructionArgs, BurnTokenInstructionData>;
export declare function burnToken(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: BurnTokenInstructionAccounts & BurnTokenInstructionArgs): WrappedInstruction;
