"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTokenDataSize = exports.getGetTokenDataSizeInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getGetTokenDataSizeInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([['discriminator', s.u8]], 'GetTokenDataSizeInstructionArgs'), (value) => ({ ...value, discriminator: 21 }));
}
exports.getGetTokenDataSizeInstructionDataSerializer = getGetTokenDataSizeInstructionDataSerializer;
function getTokenDataSize(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const mintAccount = input.mint;
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(mintAccount, false),
    });
    const data = getGetTokenDataSizeInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.getTokenDataSize = getTokenDataSize;
//# sourceMappingURL=getTokenDataSize.js.map