"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeToken = exports.getInitializeTokenInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getInitializeTokenInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([['discriminator', s.u8]], 'InitializeTokenInstructionArgs'), (value) => ({ ...value, discriminator: 1 }));
}
exports.getInitializeTokenInstructionDataSerializer = getInitializeTokenInstructionDataSerializer;
function initializeToken(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const accountAccount = input.account;
    const mintAccount = input.mint;
    const ownerAccount = input.owner;
    const rentAccount = input.rent ?? (0, umi_core_1.publicKey)('SysvarRent111111111111111111111111111111111');
    keys.push({
        pubkey: accountAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(accountAccount, true),
    });
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(mintAccount, false),
    });
    keys.push({
        pubkey: ownerAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(ownerAccount, false),
    });
    keys.push({
        pubkey: rentAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(rentAccount, false),
    });
    const data = getInitializeTokenInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.initializeToken = initializeToken;
//# sourceMappingURL=initializeToken.js.map