"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeToken2 = exports.getInitializeToken2InstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getInitializeToken2InstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([
        ['discriminator', s.u8],
        ['owner', s.publicKey],
    ], 'InitializeToken2InstructionArgs'), (value) => ({ ...value, discriminator: 16 }));
}
exports.getInitializeToken2InstructionDataSerializer = getInitializeToken2InstructionDataSerializer;
function initializeToken2(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const accountAccount = input.account;
    const mintAccount = input.mint;
    const rentAccount = input.rent ?? (0, umi_core_1.publicKey)('SysvarRent111111111111111111111111111111111');
    keys.push({
        pubkey: accountAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(accountAccount, true),
    });
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(mintAccount, false),
    });
    keys.push({
        pubkey: rentAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(rentAccount, false),
    });
    const data = getInitializeToken2InstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.initializeToken2 = initializeToken2;
//# sourceMappingURL=initializeToken2.js.map