import { Context, Option, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
import { AuthorityType } from '../types';
export type SetAuthorityInstructionAccounts = {
    owned: PublicKey;
    owner: Signer;
    signer: Signer;
};
export type SetAuthorityInstructionData = {
    discriminator: number;
    authorityType: AuthorityType;
    newAuthority: Option<PublicKey>;
};
export type SetAuthorityInstructionArgs = {
    authorityType: AuthorityType;
    newAuthority: Option<PublicKey>;
};
export declare function getSetAuthorityInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<SetAuthorityInstructionArgs, SetAuthorityInstructionData>;
export declare function setAuthority(context: Pick<Context, 'serializer' | 'programs'>, input: SetAuthorityInstructionAccounts & SetAuthorityInstructionArgs): WrappedInstruction;
