"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.thawToken = exports.getThawTokenInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getThawTokenInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([['discriminator', s.u8]], 'ThawTokenInstructionArgs'), (value) => ({ ...value, discriminator: 11 }));
}
exports.getThawTokenInstructionDataSerializer = getThawTokenInstructionDataSerializer;
function thawToken(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const accountAccount = input.account;
    const mintAccount = input.mint;
    const ownerAccount = input.owner;
    keys.push({
        pubkey: accountAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(accountAccount, true),
    });
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(mintAccount, false),
    });
    signers.push(ownerAccount);
    keys.push({
        pubkey: ownerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(ownerAccount, false),
    });
    const data = getThawTokenInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.thawToken = thawToken;
//# sourceMappingURL=thawToken.js.map