import { Context, PublicKey, Serializer, Signer, SolAmount, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type TransferSolInstructionAccounts = {
    source?: Signer;
    destination: PublicKey;
};
export type TransferSolInstructionData = {
    discriminator: number;
    amount: SolAmount;
};
export type TransferSolInstructionArgs = {
    amount: SolAmount;
};
export declare function getTransferSolInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferSolInstructionArgs, TransferSolInstructionData>;
export declare function transferSol(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferSolInstructionAccounts & TransferSolInstructionArgs): WrappedInstruction;
