"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSplSystemProgram = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const errors_1 = require("../errors");
function getSplSystemProgram() {
    return {
        name: 'splSystem',
        publicKey: (0, umi_core_1.publicKey)('11111111111111111111111111111111'),
        getErrorFromCode(code, cause) {
            return (0, errors_1.getSplSystemErrorFromCode)(code, this, cause);
        },
        getErrorFromName(name, cause) {
            return (0, errors_1.getSplSystemErrorFromName)(name, this, cause);
        },
        isOnCluster() {
            return true;
        },
    };
}
exports.getSplSystemProgram = getSplSystemProgram;
//# sourceMappingURL=splSystem.js.map